## com.google.javascript.jscomp
Interface FunctionInformationMap.EntryOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  FunctionInformationMap.Entry, FunctionInformationMap.Entry.Builder

Enclosing class:
  FunctionInformationMap

    public static interface FunctionInformationMap.EntryOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`String` | `getCompiledSource()`
`int` | `getId()`
`int` | `getLineNumber()`
`String` | `getModuleName()`
`String` | `getName()`
`int` | `getSize()`
`String` | `getSourceName()`
`boolean` | `hasCompiledSource()`
`boolean` | `hasId()`
`boolean` | `hasLineNumber()`
`boolean` | `hasModuleName()`
`boolean` | `hasName()`
`boolean` | `hasSize()`
`boolean` | `hasSourceName()`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasId

    boolean hasId()

### getId

    int getId()

### hasSourceName

    boolean hasSourceName()

### getSourceName

    String getSourceName()

### hasLineNumber

    boolean hasLineNumber()

### getLineNumber

    int getLineNumber()

### hasModuleName

    boolean hasModuleName()

### getModuleName

    String getModuleName()

### hasSize

    boolean hasSize()

### getSize

    int getSize()

### hasName

    boolean hasName()

### getName

    String getName()

### hasCompiledSource

    boolean hasCompiledSource()

### getCompiledSource

    String getCompiledSource()